%global pkg_name        Term-UI
%global pkg_version     0.18
%global rpm_pkg_version 0.18
%global rpm_pkg_release 1.n0i.7

Summary:       Term::ReadLine UI made easy
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/K/KA/KANE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(Locale::Maketext::Simple)
BuildRequires: perl(Log::Message::Simple)
BuildRequires: perl(Params::Check)
BuildRequires: perl(Term::ReadLine)


%description
Term::UI is a transparent way of eliminating the overhead of having to format
a question and then validate the reply, informing the user if the answer was
not proper and re-issuing the question.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES README


%changelog
* Mon Nov 05 2007 Marius Feraru <altblue@n0i.net> - 0.18-1.n0i.7
- version 0.18

* Thu Oct 04 2007 Marius Feraru <altblue@n0i.net> - 0.16-1.n0i.6
- version 0.16

* Thu May 31 2007 Marius Feraru <altblue@n0i.net> - 0.14-1.n0i.5
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 0.14

* Thu Sep 01 2005 Marius Feraru <altblue@n0i.net> 0.12-1.n0i.4
- version 0.12

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 0.05-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.05-1.n0i.2
- automatic rebuild (perl 5.8.6)

* Thu Jan 27 2005 Marius Feraru <altblue@n0i.net> 0:0.05-1.n0i.1
- version 0.05
- spec file (re?)created using N0i::CPAN::RPMizer/2004120601
